define(['zepto', 'medtap'], function($, medtap) {
	var remind = {
		init: function() {
			remind.bindEve();
			remind.getRemindList();
		},
		bindEve: function() {
			$('.remind_new').unbind().bind('click', function() {
				medtap.pushWindow('addRemind.html');
			});
			$('.add_new_remind').unbind().bind('click',function(){
				medtap.pushWindow('addRemind.html');
			})
		},
		getRemindList: function() {
			medtap.loading(1);
			medtap.submitAjax({
				url: 'https://testdevgw.medtap.cn/operation/notify/notifyList',
				type: 'POST',
				async: false,
				contentType: 'application/json',
				data: {
					pageNum: 1,
					pageSize: 10
				},
				success: function(res) {
					medtap.loading(0);
					if (res.success == true) {
						var list = res.content.list;
						var html = '';
						var status = '';
						var repeat = '';
						var type = '';
						if(list.length != 0){
							$('.has_remind').show();
							$('.no_remind').hide();
							for (var i = 0; i < list.length; i++) {
								var type = list[i].notifyType;
								var statuStr = '';
								//提醒状态
								if (list[i].status == 1) {
									status = '已开启';
									statuStr = '<span class="remind_list_item_status">已开启</span>';
								} else if (list[i].status == 0) {
									status = '已关闭';
									statuStr = '<span class="remind_list_item_status" style="color:#666">已关闭</span>';
								} else {
							
								}
								//提醒周期
								if (list[i].repeatePeriod == 1) {
									repeat = '每天一次';
								} else if (list[i].repeatePeriod == 2) {
									repeat = '每周一次';
								} else if (list[i].repeatePeriod == 3) {
									repeat = '每两周一次';
								} else if (list[i].repeatePeriod == 4) {
									repeat = '每三周一次';
								} else if (list[i].repeatePeriod == 5) {
									repeat = '每四周一次';
								}
								
								//提醒类型
								if(list[i].notifyType == 3){
									type = '就诊提醒';
									if(list[i].repeateFlag == 0){
										html += '<div class="remind_list_item" data-id="'+list[i].id+'">' +
											'<p class="remind_list_item_header clearfix">' +
											'<span class="remind_list_item_title">'+type+'</span>' +
											statuStr +
											'</p>' +
											'<p class="remind_start_time">提醒开始日期：' + list[i].startDate + '</p>' +
											'<p class="remind_time">提醒时间：' + list[i].startTime + '</p>' +
											'<p class="remind_time">就诊类型：' + list[i].medicalTypeEntity.value + '</p>' +
											'<p class="remind_content">提醒内容：' + list[i].content + '</p>' +
											'</div>';
									}else{
										html += '<div class="remind_list_item" data-id="'+list[i].id+'">' +
											'<p class="remind_list_item_header clearfix">' +
											'<span class="remind_list_item_title">'+type+'</span>' +
											statuStr +
											'</p>' +
											'<p class="remind_start_time">提醒开始日期：' + list[i].startDate + '</p>' +
											'<p class="remind_repeatePeriod">提醒频率：' + repeat + '</p>' +
											'<p class="remind_time">提醒时间：' + list[i].startTime + '</p>' +
											'<p class="remind_time">就诊类型：' + list[i].medicalTypeEntity.value + '</p>' +
											'<p class="remind_content">提醒内容：' + list[i].content + '</p>' +
											'</div>';
									}
								}else if(list[i].notifyType == 2){
									type = '检查提醒';
									if(list[i].repeateFlag == 0){
										html += '<div class="remind_list_item" data-id="'+list[i].id+'">' +
											'<p class="remind_list_item_header clearfix">' +
											'<span class="remind_list_item_title">'+type+'</span>' +
											statuStr +
											'</p>' +
											'<p class="remind_start_time">提醒开始日期：' + list[i].startDate + '</p>' +
											'<p class="remind_time">提醒时间：' + list[i].startTime + '</p>' +
											'<p class="remind_time">检查项目：' + list[i].checkItemEntity.value + '</p>' +
											'<p class="remind_content">提醒内容：' + list[i].content + '</p>' +
											'</div>';
									}else{
										html += '<div class="remind_list_item" data-id="'+list[i].id+'">' +
											'<p class="remind_list_item_header clearfix">' +
											'<span class="remind_list_item_title">'+type+'</span>' +
											statuStr +
											'</p>' +
											'<p class="remind_start_time">提醒开始日期：' + list[i].startDate + '</p>' +
											'<p class="remind_repeatePeriod">提醒频率：' + repeat + '</p>' +
											'<p class="remind_time">提醒时间：' + list[i].startTime + '</p>' +
											'<p class="remind_time">检查项目：' + list[i].checkItemEntity.value + '</p>' +
											'<p class="remind_content">提醒内容：' + list[i].content + '</p>' +
											'</div>';
									}
								}else if(list[i].notifyType == 1){
									type = '用药提醒';
									if(list[i].repeateFlag == 0){
										html += '<div class="remind_list_item" data-id="'+list[i].id+'">' +
											'<p class="remind_list_item_header clearfix">' +
											'<span class="remind_list_item_title">'+type+'</span>' +
											statuStr +
											'</p>' +
											'<p class="remind_start_time">提醒开始日期：' + list[i].startDate + '</p>' +
											'<p class="remind_time">提醒时间：' + list[i].startTime + '</p>' +
											'<p class="remind_time">药品名称：' + list[i].drugName + '</p>' +
											'<p class="remind_content">提醒内容：' + list[i].content + '</p>' +
											'</div>';
									}else{
										html += '<div class="remind_list_item" data-id="'+list[i].id+'">' +
											'<p class="remind_list_item_header clearfix">' +
											'<span class="remind_list_item_title">'+type+'</span>' +
											statuStr +
											'</p>' +
											'<p class="remind_start_time">提醒开始日期：' + list[i].startDate + '</p>' +
											'<p class="remind_repeatePeriod">提醒频率：' + repeat + '</p>' +
											'<p class="remind_time">提醒时间：' + list[i].startTime + '</p>' +
											'<p class="remind_time">药品名称：' + list[i].drugName + '</p>' +
											'<p class="remind_content">提醒内容：' + list[i].content + '</p>' +
											'</div>';
									}
								}
							}
							$('.remind_list').html(html);
						}else{
							$('.has_remind').hide();
							$('.no_remind').show();
						}
					}
				},
				error:function(){
					
				}
			})
		}
	}
	remind.init();
})
